Bug 498193 - Review Request: perl-ExtUtils-InferConfig - Infer Perl Configuration for non-running interpreters
Review Request: perl-ExtUtils-InferConfig - Infer Perl Configuration for non-...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 08:14 EDT by Marcela Mašláňová
Modified: 2009-05-04 04:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 04:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-29 08:14:43 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-ExtUtils-InferConfig.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-ExtUtils-InferConfig-1.03-1.fc11.src.rpm
Description:This module can determine the configuration and @INC of a perl interpreter
given its path and that it is runnable by the current user.
Comment 1 Parag AN(पराग) 2009-04-30 00:37:28 EDT
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1329659

Build failed.

Need BR: perl(Test::More)
Comment 3 Parag AN(पराग) 2009-04-30 04:40:26 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1329843
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
bc428af291b36b1c0ffa1e5c96408f72  ExtUtils-InferConfig-1.03.tar.gz

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=2213,  2 wallclock secs ( 0.45 usr  0.03 sys +  1.45 cusr  0.09 csys =  2.02 CPU)
+ Package perl-ExtUtils-InferConfig-1.03-2.fc12.noarch =>
  Provides: perl(ExtUtils::InferConfig) = 1.03
  Requires: perl(Carp) perl(Config) perl(IPC::Cmd) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.
Comment 4 Marcela Mašláňová 2009-04-30 04:52:35 EDT
New Package CVS Request
=======================
Package Name: perl-ExtUtils-InferConfig
Short Description: Infer Perl Configuration for non-running interpreter
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 5 Dennis Gilmore 2009-05-01 17:01:20 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.